MyGUI: MyGUI::BackwardCompatibility Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
MyGUI::BackwardCompatibility Class Reference

`#include <MyGUI_BackwardCompatibility.h>`

## Static Public Member Functions
static bool | checkProperty (Widget *_owner, std::string &_key, std::string &_value)
static void | initialise ()
static void | shutdown ()
static bool | isIgnoreProperty (const std::string &_key)
static std::string | getPropertyRename (const std::string &_propertyName)
static std::string | getFactoryRename (const std::string &_categoryName, const std::string &_factoryName)
static std::string | getSkinRename (const std::string &_skinName)
static void | registerWidgetTypes ()

## Detailed Description

Definition at line 557 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ checkProperty()

bool MyGUI::BackwardCompatibility::checkProperty | ( | Widget * | _owner,
|  | std::string & | _key,
|  | std::string & | _value )
| static

Definition at line 1086 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getFactoryRename()

std::string MyGUI::BackwardCompatibility::getFactoryRename | ( | const std::string & | _categoryName,
|  | const std::string & | _factoryName )
| static

Definition at line 1284 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getPropertyRename()

std::string MyGUI::BackwardCompatibility::getPropertyRename | ( | const std::string & | _propertyName | ) |
| static

Definition at line 1274 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getSkinRename()

std::string MyGUI::BackwardCompatibility::getSkinRename | ( | const std::string & | _skinName | ) |
| static

Definition at line 1342 of file MyGUI_BackwardCompatibility.cpp.

## ◆ initialise()

void MyGUI::BackwardCompatibility::initialise | ( |  | ) |
| static

Definition at line 1165 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isIgnoreProperty()

bool MyGUI::BackwardCompatibility::isIgnoreProperty | ( | const std::string & | _key | ) |
| static

Definition at line 1077 of file MyGUI_BackwardCompatibility.cpp.

## ◆ registerWidgetTypes()

void MyGUI::BackwardCompatibility::registerWidgetTypes | ( |  | ) |
| static

Definition at line 1362 of file MyGUI_BackwardCompatibility.cpp.

## ◆ shutdown()

void MyGUI::BackwardCompatibility::shutdown | ( |  | ) |
| static

Definition at line 1355 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp